#ifndef CONNECTOR_VERSION_H
#define CONNECTOR_VERSION_H


#define CONNECTOR_VERSION "$Change: 300457 $"
#define CONNECTOR_BUILD_TIME "$DateTime: 2016/10/07 05:32:32 $"

void ngx_http_ajp_log_version(ngx_log_t* l) {
	const char* start;
	const char* end;
	size_t size;
	char version[256];

	start = ((const char*)CONNECTOR_VERSION) + 9;
	end = ngx_strstr(start, " $");
	size = end - start;
	strncpy(version, start, size);
	version[size] = '\0';

	ngx_log_error(NGX_LOG_INFO, l, 0, "Connector Version: %s\n", version);
}


#endif //CONNECTOR_VERSION_H
